#include <iostream>
#include <algorithm>
#include <vector>
#include <iomanip>

using namespace std;
struct Takmicar {
    double pare;
    double porez;
};

bool sortiranje(const Takmicar &a, const Takmicar &b)
{
    return a.porez > b.porez;
}

int main() {
    ios_base::sync_with_stdio(1);
    int n;
    cin >> n;
    vector<Takmicar> niz(n);
    for (int i = 0; i < n; i++) {
        Takmicar t;
        cin >> t.pare >> t.porez;
        niz[i] = t;
    }
    sort(niz.begin(), niz.end(), sortiranje);
    double zbir = 0, porezStvar = 0;
    double najveciPrihod = 0;
    for (int i = 0; i < n; i++) {
        zbir+=niz[i].pare;
        porezStvar = zbir * (niz[i].porez/100);
        if (najveciPrihod < porezStvar) {
            najveciPrihod = porezStvar;
        }
    }
    cout << fixed << setprecision(4) << najveciPrihod;
    return 0;
}